<?php

namespace app\admin\controller;
use app\admin\logic\SuborderLogic;
use app\common\model\Order as CommonOrder;
use app\admin\logic\StaffLogic;
use app\common\model\Pay;
use app\common\model\Client_;
use think\Db;

class Suborder extends AdminBase
{
    
    
    /**
     * Notes: 全部子订单
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function lists(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SuborderLogic::lists($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        return $this->fetch();
    }
    /**
     * Notes: 保洁订单列表
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function cleaning(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SuborderLogic::cleaning($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        return $this->fetch();
    }
    /**
     * Notes: 收纳整理
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function storage(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SuborderLogic::storage($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        return $this->fetch();
    }
    /**
     * Notes: 深度清洗
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function depth(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SuborderLogic::depth($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        return $this->fetch();
    }
      /**
     * Notes: 宠物保洁
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function pet(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SuborderLogic::pet($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        return $this->fetch();
    }  
    /**
     * Notes: 做饭到家
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function cooking(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SuborderLogic::cooking($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        return $this->fetch();
    }  
    
    /**
     * Notes: 粗开荒保洁
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function thick(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SuborderLogic::thick($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        return $this->fetch();
        
    }
    /**
     * Notes: 细开荒保洁
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function fine(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SuborderLogic::fine($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        return $this->fetch();
    
    }
      /**
     * Notes: 搬家货运
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function move(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SuborderLogic::move($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        return $this->fetch();
        
    }  
    /**
     * Notes: 搬家货运
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function detection(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SuborderLogic::detection($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        return $this->fetch();
        
    }  
    
    /**
     * Notes: 空气治理
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function governance(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SuborderLogic::governance($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        return $this->fetch();
        
    }  
    
     /**
     * Notes: 家电清洗
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function wash(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SuborderLogic::wash($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        return $this->fetch();
        
    }  
    
    
     /**
     * Notes: 家电清洗
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function linen(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SuborderLogic::linen($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        return $this->fetch();
        
    }  
    /**
     * Notes: 宠物保洁订单
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function pets(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SuborderLogic::pets($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        return $this->fetch();
        
    }       
}